Hah! Who needs PPAs? I have my own multimedia+ repo!

Everything about X, Gnome, KDE, ... and everything running on it

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby eor2004 » 2020-01-19 01:53

I used the link in your signature to get to MX repo & Packages for MX-19, there are 3 packages for conky, should I install all these 3 packages?

conky-toggle-mx_19.11_all.deb
conky-manager-dbgsym_2.4+dfsg1-2mx19+1_amd64.deb
conky-manager_2.4+dfsg1-2mx19+1_amd64.deb
OS: Debian 10 Buster 64-bit DE: MATE 1.20 CPU: AMD Phenom II X4 925 @ 2.8GHZ RAM: 8GB CORSAIR XMS2 PC2-6400U DDR2 (CM2X2048-6400C5C) GPU: ATI Radeon HD 3200 Mobo: Gigabyte GA-MA78GPM-DS2H HDD: Hitachi 2TB (HUA723020ALA641) 7200RPM
User avatar
eor2004
 
Posts: 217
Joined: 2013-10-01 22:49
Location: Puerto Rico

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby sunrat » 2020-01-19 02:12

You don't need the dbgsym one, that's for debugging. And conky-toggle-mx just enables you to switch Conky on and off.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 2956
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-01-19 20:42

The MX version of conky-manager is a dfsg-safe rebuild (Debian Free Software Guidelines) where the built-in conky themes have been removed, mostly because they included non-free or even pirated fonts along with the theme, or we could not determine what license applied at all. We replaced those with mx-conky and mx-conky-data, which provides themes that we could feel safe redistributing.

You might still be able to find .7z theme packs for Conky Manager 2 out on the Net that you can load into it--it's been a while since I looked for them.

http://mxrepo.com/mx/repo/pool/main/m/mx-conky/
http://mxrepo.com/mx/repo/pool/main/m/mx-conky-data/
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.5, Mesa 19.3.3, 5.5 kernels, KeepassXC 2.5.3, Nvidia-driver 440.59, LibreOffice 6.4.1~rc1
User avatar
stevepusser
 
Posts: 11437
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-01-19 20:59

I noticed that Youtube's recent changes to their API borked VLC's ability to play Youtube URLs, but if you save this page https://git.videolan.org/?p=vlc.git;a=b ... ua;hb=HEAD

as "youtube.luac", then copy it over VLC's existing youtube.luac file, it fixes it. For my 64-bit system, the file lives in

/usr/lib/x86_64-linux-gnu/vlc/lua/playlist/youtube.luac

but you'll have to change that if you run a different architecture. For MX Linux, since we build our own version of VLC to make sure va-api keeps working, I pushed new rebuilds with that file change patched in.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.5, Mesa 19.3.3, 5.5 kernels, KeepassXC 2.5.3, Nvidia-driver 440.59, LibreOffice 6.4.1~rc1
User avatar
stevepusser
 
Posts: 11437
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby mileys1990 » 2020-02-04 07:11

Thank you. Finally got things sorted out. Must be having a couple of 'off' days. <sigh>
mileys1990
 
Posts: 1
Joined: 2020-02-04 07:07

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-02-11 04:22

Kodi 18.5, backported from Experimental, added for Buster through Sid:

https://build.opensuse.org/package/show ... /kodi-18.X

It suggests the spectrum visualization addon, but that doesn't seem to work. Debian has version 1.1 of that, but the matching version for Kodia 18 Leia is 3.0.3. I'll see if I can build that and get it to work.

https://github.com/xbmc/visualization.spectrum/releases
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.5, Mesa 19.3.3, 5.5 kernels, KeepassXC 2.5.3, Nvidia-driver 440.59, LibreOffice 6.4.1~rc1
User avatar
stevepusser
 
Posts: 11437
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-02-12 23:57

Turns out that the present Kodi packages have a bug--no subtitles available--because it needs to be built with a newer fontforge-nox than Buster has, and the control file didn't note that . I worked around yet another bug backporting fontforge on the OBS, and updated Kodi packages should be done in an hour or two.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.5, Mesa 19.3.3, 5.5 kernels, KeepassXC 2.5.3, Nvidia-driver 440.59, LibreOffice 6.4.1~rc1
User avatar
stevepusser
 
Posts: 11437
Joined: 2009-10-06 05:53

Previous

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 15 guests

fashionable